package custom.AugmentShop;
 
import ru.catssoftware.L2DatabaseFactory;
import ru.catssoftware.gameserver.model.L2ItemInstance;
import ru.catssoftware.gameserver.model.actor.instance.L2NpcInstance;
import ru.catssoftware.gameserver.model.actor.instance.L2PcInstance;
import ru.catssoftware.gameserver.model.itemcontainer.Inventory;
import ru.catssoftware.gameserver.model.quest.Quest;
import ru.catssoftware.gameserver.model.quest.QuestState;
import java.sql.Connection;
import java.sql.PreparedStatement;
 

 
public class AugmentShop extends Quest
{
	
    private final static int ITEM_ID = 4037; /*id за продажу*/
    private final static int ITEM_COUNT = 40; /*Укажите цену*/
    private final static String qn = "AugmentShop";
    private final static int NPC = 50012; /*Укжите npc id;*/
 
    public AugmentShop(int questId, String name, String descr)
    {
        super(questId, name, descr);
        addFirstTalkId(NPC);
        addStartNpc(NPC);
        addTalkId(NPC);
    }
 
    @Override
    public String onAdvEvent(String event, L2NpcInstance npc, L2PcInstance player)
    {
        String htmltext = "";
 
        if (event.equalsIgnoreCase("active"))
        {
            htmltext = "active.htm";
        }
 
        else if (event.equalsIgnoreCase("passive"))
        {
            htmltext = "passive.htm";
        }
 
 
        else
        {
 
            updateAugment(player, Integer.parseInt(event.substring(0,5)), Integer.parseInt(event.substring(6,10)), Integer.parseInt(event.substring(11,13)));
        }
 
 
        return htmltext;
    }
 
    @Override
    public String onFirstTalk(L2NpcInstance npc, L2PcInstance player)
    {
        String htmltext = "";
        QuestState qs = player.getQuestState(qn);
        if (qs == null)
            qs = newQuestState(player);
        htmltext = "main.htm";
        return htmltext;
    }
 
    public static void main(String[] args)
    {
        new AugmentShop(-1, qn, "AugmentShop");
    }
 
 
    private static void updateAugment(L2PcInstance player, int attributes, int skill, int level)
    {
        L2ItemInstance item = player.getInventory().getPaperdollItem(Inventory.PAPERDOLL_RHAND);
        if (player.getInventory().getPaperdollItem(Inventory.PAPERDOLL_RHAND) == null)
 
        {
            player.sendMessage("Вы должны надеть оружие.");
            return;
        }
		
		if (item.isHeroItem())
		{
			player.sendMessage("Вы не можете вставить в геройское оружие Life Stone.");
			return;
		}
 
        if (player.getInventory().getPaperdollItem(Inventory.PAPERDOLL_RHAND).isAugmented())
        {
            player.sendMessage("Для начала удалите Life Stone!");
            return;
        }
 
        if (player.getInventory().getInventoryItemCount(ITEM_ID, -1) < ITEM_COUNT)
        {
            player.sendMessage("Грустно, но у вас нет Coin Of Luck. Или вам не хватает!");
            return;
        }
		
        Connection con = null;
        try
        {
            player.destroyItemByItemId("Consume", ITEM_ID, ITEM_COUNT, player, true);
            con = L2DatabaseFactory.getInstance().getConnection();
            PreparedStatement statement = con.prepareStatement("REPLACE INTO item_attributes VALUES(?,?,?,?)");
            statement.setInt(1, item.getObjectId());
 
            statement.setInt(2, attributes*65536+1);
            statement.setInt(3, skill);
            statement.setInt(4, level);
 
            statement.executeUpdate();
            player.sendMessage("Покупка прошла успешно. Вы должны перезайти теперь.");
            statement.close();
 
        }
        catch (Exception e)
        {
            _log.warn("Не могли дополнить пунктом: "+item.getObjectId()+" "+ e);
        }
        finally
        {
            try
            {
               
           /*L2DatabaseFactory.close(con);*/
                con.close();
            }
            catch (Exception e)
            {
            }
        }
    }
 
 
}